changeset in /hg/icedtea6: 2009-05-04 Matthias Klose <doko at ubu...
doko at ubuntu.com
doko at ubuntu.com
Mon May 4 07:29:28 PDT 2009
changeset 286d83b611a6 in /hg/icedtea6
details: http://icedtea.classpath.org/hg/icedtea6?cmd=changeset;node=286d83b611a6
description:
2009-05-04 Matthias Klose <doko at ubuntu.com>
* autogen.sh: Check for autom4te, check variants of versioned commands.
diffstat:
2 files changed, 31 insertions(+), 4 deletions(-)
ChangeLog | 4 ++++
autogen.sh | 31 +++++++++++++++++++++++++++----
diffs (83 lines):
diff -r 5f50934d11ef -r 286d83b611a6 ChangeLog
--- a/ChangeLog Mon May 04 15:53:16 2009 +0200
+++ b/ChangeLog Mon May 04 16:25:07 2009 +0200
@@ -1,3 +1,7 @@ 2009-05-04 Mark Wielaard <mjw at redhat.c
+2009-05-04 Matthias Klose <doko at ubuntu.com>
+
+ * autogen.sh: Check for autom4te, check variants of versioned commands.
+
2009-05-04 Mark Wielaard <mjw at redhat.com>
* autogen.sh: Lower requirements to autoconf 2.59 and automake 1.9.6.
diff -r 5f50934d11ef -r 286d83b611a6 autogen.sh
--- a/autogen.sh Mon May 04 15:53:16 2009 +0200
+++ b/autogen.sh Mon May 04 16:25:07 2009 +0200
@@ -6,7 +6,7 @@
HAVE_AUTOCONF=false
-for AUTOCONF in autoconf autoconf259; do
+for AUTOCONF in autoconf autoconf259 autoconf2.59; do
if ${AUTOCONF} --version > /dev/null 2>&1; then
AUTOCONF_VERSION=`${AUTOCONF} --version | head -1 | sed 's/^[^0-9]*\([0-9.][0-9.]*\).*/\1/'`
# echo ${AUTOCONF_VERSION}
@@ -23,7 +23,7 @@ done
HAVE_AUTOHEADER=false
-for AUTOHEADER in autoheader autoheader259; do
+for AUTOHEADER in autoheader autoheader259 autoheader2.59; do
if ${AUTOHEADER} --version > /dev/null 2>&1; then
AUTOHEADER_VERSION=`${AUTOHEADER} --version | head -1 | sed 's/^[^0-9]*\([0-9.][0-9.]*\).*/\1/'`
# echo ${AUTOHEADER_VERSION}
@@ -36,11 +36,28 @@ for AUTOHEADER in autoheader autoheader2
fi
done
+# Test for autom4te.
+
+HAVE_AUTOM4TE=false
+
+for AUTOM4TE in autom4te autom4te259 autom4te2.59; do
+ if ${AUTOM4TE} --version > /dev/null 2>&1; then
+ AUTOM4TE_VERSION=`${AUTOM4TE} --version | head -1 | sed 's/^[^ ]* [^0-9]*\([0-9.][0-9.]*\).*/\1/'`
+# echo ${AUTOM4TE_VERSION}
+ case ${AUTOM4TE_VERSION} in
+ 2.59* | 2.6[0-9]* )
+ HAVE_AUTOM4TE=true
+ break;
+ ;;
+ esac
+ fi
+done
+
# Test for autoreconf.
HAVE_AUTORECONF=false
-for AUTORECONF in autoreconf; do
+for AUTORECONF in autoreconf autoreconf2.59; do
if ${AUTORECONF} --version > /dev/null 2>&1; then
AUTORECONF_VERSION=`${AUTORECONF} --version | head -1 | sed 's/^[^0-9]*\([0-9.][0-9.]*\).*/\1/'`
# echo ${AUTORECONF_VERSION}
@@ -62,6 +79,12 @@ if test ${HAVE_AUTOHEADER} = false; then
if test ${HAVE_AUTOHEADER} = false; then
echo "No proper autoheader was found."
echo "You must have autoconf 2.59 or later installed."
+ exit 1
+fi
+
+if test ${HAVE_AUTOM4TE} = false; then
+ echo "No proper autom4te was found."
+ echo "You must have autom4te 2.59 or later installed."
exit 1
fi
@@ -121,6 +144,6 @@ fi
fi
-export ACLOCAL AUTOCONF AUTOHEADER AUTOMAKE
+export ACLOCAL AUTOCONF AUTOHEADER AUTOM4TE AUTOMAKE
${AUTORECONF} --force --install
More information about the distro-pkg-dev
mailing list